漏洞信息详情

Ruby on Rails SQL注入漏洞

  • CNNVD编号:CNNVD-201205-559
  • 危害等级: 中危
  • CVE编号: CVE-2012-2661
  • 漏洞类型: SQL注入
  • 发布时间: 2012-05-31
  • 威胁类型: 远程
  • 更新时间: 2019-08-09
  • 厂        商: rubyonrails
  • 漏洞来源: Ben Murphy

漏洞简介

Ruby on Rails(Rails)是Rails核心团队开发维护的一套基于Ruby语言的开源Web应用框架,它是由大卫-海纳梅尔-韩森从美国37signals公司的项目管理工具Basecamp里分离出来的。

Ruby on Rails中的Active Record组件中存在SQL注入漏洞。攻击者可利用该漏洞操控应用程序,访问或修改数据,或者在底层数据库中利用该漏洞。以下版本中存在该漏洞:Ruby on Rails 3.2.4版本,3.1.5版本与3.0.13版本。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://rubyonrails.org/

参考网址

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00016.html

来源:MLIST

链接:https://groups.google.com/group/rubyonrails-security/msg/fc2da6c627fc92df?dmode=source&output=gplain

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00014.html

来源:REDHAT

链接:http://rhn.redhat.com/errata/RHSA-2013-0154.html

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2012-08/msg00046.html

漏洞信息快速查询

相关漏洞

更多